summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Igor Alexandrov2019-08-03 02:29:21 +0200
committer Willy Sudiarto Raharjo2019-08-03 02:29:21 +0200
commit31e0f212b80061ff9b8e7a537b370e20e872b2e3 (patch)
tree44fc493b41e861afbd13b87c53beb8b1f5eb4938
parent3cbd9f5ad228b07c51590cc92b8280bf507b87ea (diff)
downloadslackbuilds-31e0f212b80061ff9b8e7a537b370e20e872b2e3.tar.gz
development/jdk12: Added (Java Platform SDK).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/jdk12/README21
-rw-r--r--development/jdk12/jdk12.SlackBuild105
-rw-r--r--development/jdk12/jdk12.info10
-rw-r--r--development/jdk12/slack-desc19
4 files changed, 155 insertions, 0 deletions
diff --git a/development/jdk12/README b/development/jdk12/README
new file mode 100644
index 0000000000..bdb78d50f5
--- /dev/null
+++ b/development/jdk12/README
@@ -0,0 +1,21 @@
+jdk12 (Java Platform Standard Edition Development Kit)
+
+The Java Platform Standard Edition Development Kit (JDK) includes
+both the runtime environment (Java virtual machine,
+the Java platform classes and supporting files) and development tools
+(compilers, debuggers, tool libraries and other tools).
+The JDK is a development environment for building applications,
+applets and components that can be deployed with the
+Java Platform Standard Edition Runtime Environment.
+
+More details:
+https://developer.oracle.com/java/
+
+This SlackBuild will repackage official Oracle JDK archive.
+You must accept the Oracle Technology Network License Agreement
+for Oracle Java SE to download this software
+
+https://www.oracle.com/technetwork/java/javase/downloads/jdk12-downloads-5295953.html
+
+After installation you will need to log out from the system and log in back
+for environment variables get updated.
diff --git a/development/jdk12/jdk12.SlackBuild b/development/jdk12/jdk12.SlackBuild
new file mode 100644
index 0000000000..e63ce2d459
--- /dev/null
+++ b/development/jdk12/jdk12.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for jdk12
+
+# Copyright 2019 Igor Alexandrov <igor.s.alexandrov@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=jdk12
+VERSION=${VERSION:-12.0.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$(uname -m) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ echo "$ARCH port is not supported"
+ exit -1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $OUTPUT \
+ $PKG/{install,etc/profile.d,usr/{lib${LIBDIRSUFFIX},doc/$PRGNAM-$VERSION}}
+
+cd $PKG/usr/lib${LIBDIRSUFFIX}
+tar -xvf $CWD/jdk-$VERSION?linux*.tar.gz
+mv $(tar -tf $CWD/jdk-$VERSION?linux*.tar.gz | head -1 | cut -d/ -f1) $PRGNAM-$VERSION
+
+chown -R root:root $PRGNAM-$VERSION
+find -L $PRGNAM-$VERSION \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PRGNAM-$VERSION -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PRGNAM-$VERSION/man -type f -exec gzip -9q {} \; 2> /dev/null || true
+for i in $(find $PRGNAM-$VERSION/man -type l 2> /dev/null); do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+ln -sf $PRGNAM-$VERSION/lib/libjawt.so
+ln -sf $PRGNAM-$VERSION/lib/server/libjvm.so
+ln -sf $PRGNAM-$VERSION/lib/libjava.so
+ln -sf $PRGNAM-$VERSION/lib/libawt.so
+ln -sf $PRGNAM-$VERSION/lib/libawt_xawt.so
+ln -sf $PRGNAM-$VERSION/lib/libverify.so
+
+cd ../doc/$PRGNAM-$VERSION
+ln -s ../../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/legal
+ln -s ../../lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION/release
+cat $CWD/$PRGNAM.SlackBuild > $PRGNAM.SlackBuild
+cat $CWD/slack-desc > slack-desc
+
+cd $PKG
+cat > etc/profile.d/$PRGNAM.sh << EOF
+#!/bin/sh
+export JAVA_HOME=/usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+export MANPATH=\${MANPATH}:\${JAVA_HOME}/man
+export PATH=\${PATH}:\${JAVA_HOME}/bin
+EOF
+
+cat > etc/profile.d/$PRGNAM.csh << EOF
+#!/bin/csh
+setenv JAVA_HOME /usr/lib${LIBDIRSUFFIX}/$PRGNAM-$VERSION
+setenv MANPATH \${MANPATH}:\${JAVA_HOME}/man
+setenv PATH \${PATH}:\${JAVA_HOME}/bin
+EOF
+
+chmod 755 etc/profile.d/*
+cat $CWD/slack-desc > install/slack-desc
+
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/development/jdk12/jdk12.info b/development/jdk12/jdk12.info
new file mode 100644
index 0000000000..6ca6c35f29
--- /dev/null
+++ b/development/jdk12/jdk12.info
@@ -0,0 +1,10 @@
+PRGNAM="jdk12"
+VERSION="12.0.2"
+HOMEPAGE="https://www.oracle.com/technetwork/java/javase/downloads/index.html"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://download.oracle.com/otn-pub/java/jdk/12.0.2+10/e482c34c86bd4bf8b56c0b35558996b9/jdk-12.0.2_linux-x64_bin.tar.gz"
+MD5SUM_x86_64="d1527af940a4d73050ff1d5c7942782d"
+REQUIRES="%README%"
+MAINTAINER="Igor Alexandrov"
+EMAIL="igor.s.alexandrov@gmail.com"
diff --git a/development/jdk12/slack-desc b/development/jdk12/slack-desc
new file mode 100644
index 0000000000..d8870b570d
--- /dev/null
+++ b/development/jdk12/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jdk12: jdk12 (Java Platform Standard Edition Development Kit)
+jdk12:
+jdk12: The Java Platform Standard Edition Development Kit (JDK) includes
+jdk12: both the runtime environment (Java virtual machine,
+jdk12: the Java platform classes and supporting files) and development tools
+jdk12: (compilers, debuggers, tool libraries and other tools).
+jdk12: The JDK is a development environment for building applications,
+jdk12: applets and components that can be deployed with the
+jdk12: Java Platform Standard Edition Runtime Environment.
+jdk12:
+jdk12: https://developer.oracle.com/java/